<%
Class Migration_09_Create_InkJetRecords_Table
    Public Migration

    Public Sub Up
        Migration.Do "CREATE TABLE [InkjetRecords] (" &_
                    "[ID] COUNTER, " &_
                    "[KitID] NUMBER, " &_
                    "[VOTERID] VARCHAR(255), " &_
                    "[LASTNAME] VARCHAR(255), " &_
                    "[FIRSTNAME] VARCHAR(255), " &_
                    "[MIDDLENAME] VARCHAR(255), " &_
                    "[SUFFIX] VARCHAR(255), " &_
                    "[PRECINCT] VARCHAR(255), " &_
                    "[ADDRESS1] VARCHAR(255), " &_
                    "[ADDRESS2] VARCHAR(255), " &_
                    "[ADDRESS3] VARCHAR(255), " &_
                    "[ADDRESS4] VARCHAR(255), " &_
                    "[ADDRESS5] VARCHAR(255), " &_
                    "[APPSENT] VARCHAR(255), " &_
                    "[APPRETURNED] VARCHAR(255), " &_
                    "[BALSENT] VARCHAR(255), " &_
                    "[BALRETURNED] VARCHAR(255), " &_
                    "[CountingBoard] VARCHAR(255), " &_
                    "[UOCAVASTATUS] VARCHAR(255), " &_
                    "[EMAILADDRESS] VARCHAR(255), " &_
                    "[PHONENUMBER] VARCHAR(255), " &_
                    "[BALLOT_NUMBER] VARCHAR(255), " &_
                    "[CassADDRESS1] VARCHAR(255), " &_
                    "[CassADDRESS2] VARCHAR(255), " &_
                    "[CassADDRESS3] VARCHAR(255), " &_
                    "[CassADDRESS4] VARCHAR(255), " &_
                    "[CassADDRESS5] VARCHAR(255)" &_
                    ");"
        Migration.Do "CREATE UNIQUE INDEX [ID] ON [InkjetRecords]( [ID] ) WITH PRIMARY;"
        Migration.Do "CREATE INDEX [Jcode] ON [InkjetRecords]( [KitID] );"
End Sub
    
    Public Sub Down
        Migration.Do "DROP TABLE [InkjetRecords]"
    End Sub
End Class
 Migrations.Add "Migration_09_Create_InkJetRecords_Table"
 %>