<h2><%= H(Model.Title) %></h2>

<p class="alert alert-danger">Are you sure you want to delete this CustomOfficeCopyJob?</p>

<%= HTML.FormTag("CustomOfficeCopyJob", "DeletePost", empty, Array("class", "form-horizontal")) %>
<%= HTML.Hidden("nonce", HTMLSecurity.GetAntiCSRFToken("CustomOfficeCopyJobDeleteForm")) %>
<%= HTML.Hidden("Id", Model.CustomOfficeCopyJob.ID) %>
<div class="col-md-10">
<div class="form-group">
     <%= HTML.Button("submit", "<i class='glyphicon glyphicon-remove'></i> Confirm Delete", "btn-danger") %>
    &nbsp;&nbsp;
     <%= HTML.LinkToExt("Cancel", "CustomOfficeCopyJob", "Index", empty, Array("class", "btn btn-success")) %>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Jcode">Jcode</label>
				<%= HTML.TextboxExt("Jcode", Model.CustomOfficeCopyJob.Jcode, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Precinct">Precinct</label>
				<%= HTML.TextboxExt("Precinct", Model.CustomOfficeCopyJob.Precinct, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="StartingBallotNumber">StartingBallotNumber</label>
				<%= HTML.TextboxExt("StartingBallotNumber", Model.CustomOfficeCopyJob.StartingBallotNumber, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Amount">Amount</label>
				<%= HTML.TextboxExt("Amount", Model.CustomOfficeCopyJob.Amount, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Status">Status</label>
				<%= HTML.TextboxExt("Status", Model.CustomOfficeCopyJob.Status, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Donedate">Donedate</label>
				<%= HTML.TextboxExt("Donedate", Model.CustomOfficeCopyJob.Donedate, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
 </div>
</div>
</form>
