<h2><%= H(Model.Title) %></h2>

<p class="alert alert-danger">Are you sure you want to delete this Jurisdiction?</p>

<%= HTML.FormTag("Jurisdiction", "DeletePost", empty, Array("class", "form-horizontal")) %>
<%= HTML.Hidden("nonce", HTMLSecurity.GetAntiCSRFToken("JurisdictionDeleteForm")) %>
<%= HTML.Hidden("Id", Model.Jurisdiction.JCode) %>
<div class="col-md-10">
<div class="form-group">
     <%= HTML.Button("submit", "<i class='glyphicon glyphicon-remove'></i> Confirm Delete", "btn-danger") %>
    &nbsp;&nbsp;
     <%= HTML.LinkToExt("Cancel", "Jurisdiction", "Index", empty, Array("class", "btn btn-success")) %>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Name">Name</label>
				<%= HTML.TextboxExt("Name", Model.Jurisdiction.Name, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="Mailing_Address">Mailing_Address</label>
				<%= HTML.TextboxExt("Mailing_Address", Model.Jurisdiction.Mailing_Address, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="CSZ">CSZ</label>
				<%= HTML.TextboxExt("CSZ", Model.Jurisdiction.CSZ, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="IMB">IMB</label>
				<%= HTML.TextboxExt("IMB", Model.Jurisdiction.IMB, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="IMB_Digits">IMB_Digits</label>
				<%= HTML.TextboxExt("IMB_Digits", Model.Jurisdiction.IMB_Digits, Array("class", "form-control")) %>
			</div>
		</div>
	</div>
 </div>
</div>
</form>
