<%
Class Migration_05_Create_Kit_Labels_Table
    Public Migration

    Public Sub Up
        Migration.Do "CREATE TABLE [KitLabels] (" &_
                    "[ID] COUNTER," &_
                    "[KitId] NUMBER," &_ 
                    "[OutboundSerial] VARCHAR(255)," &_
                    "[InBoundSerial] VARCHAR(255)," &_
                    "[OutboundIMB] VARCHAR(255)," &_
                    "[InBoundIMB] VARCHAR(255)," &_
                    "[OutboundIMBDigits] VARCHAR(255)," &_
                    "[InBoundIMBDigits] VARCHAR(255)," &_
                    "[OutboundIMBPNG] MEMO," &_
                    "[INBOUNDIMBPNG] MEMO);"
        Migration.Do "CREATE UNIQUE INDEX [ID] ON [KitLabels]( [ID] ) WITH PRIMARY;"
End Sub
    
    Public Sub Down
        Migration.Do "DROP TABLE [KitLabels]"
    End Sub
End Class
 Migrations.Add "Migration_05_Create_Kit_Labels_Table"
 %>